Bug 428761 - Review Request: amora - a mobile remote assistant
Review Request: amora - a mobile remote assistant
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-14 18:59 EST by Allisson Azevedo
Modified: 2008-01-17 19:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-17 19:50:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Allisson Azevedo 2008-01-14 18:59:42 EST
Spec URL: http://allisson.fedorapeople.org/packages/amora/amora.spec
SRPM URL: http://allisson.fedorapeople.org/packages/amora/amora-0.9-1.fc8.src.rpm

Description: Amora is an application that enables you to control your PC desktop using a cellphone. It uses bluetooth to send mouse and keyboard events to the
graphical session. With it you can control your slides in OpenOffice.org,
movies or any other application. Amora also has a screenshot feature, where
you can see a thumbnail in the cellphone screen of the currently focused
window in your desktop.
Comment 1 Parag AN(पराग) 2008-01-16 02:10:36 EST
License should be GPLv2+
you don't need BR: pkgconfig
Comment 2 Allisson Azevedo 2008-01-16 10:02:52 EST
Update package:

Spec URL: http://allisson.fedorapeople.org/packages/amora/amora.spec
SRPM URL: http://allisson.fedorapeople.org/packages/amora/amora-1.0-1.fc8.src.rpm

Changes:

Update to 1.0
Comment 3 Parag AN(पराग) 2008-01-16 22:45:22 EST
Review:
+ package builds in mock (rawhide i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
39738c99dba04f8f75069d0539a3141b  amora-server-1.0svn.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

APPROVED.

Comment 4 Allisson Azevedo 2008-01-17 05:35:15 EST
New Package CVS Request
=======================
Package Name: amora
Short Description: a mobile remote assistant
Owners: allisson
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-01-17 12:17:05 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.